* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	font-family: Figtree;
	scroll-behavior: smooth;
}

@mixin d-flex($jc: none, $al: none) {
	display: flex;
	justify-content: $jc;
	align-items: $al;
}

.container {
	max-width: 1250px;
	margin: 0 auto;
}

//important classes
.disabled {
	opacity: 0.5;
	pointer-events: none;
}
.show {
	display: flex !important;
}

.visible {
	// transform: translateY(-120%);
	top: 92px !important;
}

.rotate {
	transform: rotate(180deg);
}

.header.up {
	transform: translateY(0);
	transition: all 0.8s;
}

.header.down {
	transform: translateY(-100%);
	transition: all 0.8s;
}

.showError {
	display: block !important;
}

.header {
	background: #dbdbdb;
	width: 100%;
	position: fixed;
	z-index: 20;
	&Container {
		padding: 26px 120px;
		@include d-flex($jc: space-between);

		a {
			text-decoration: none;
			color: inherit;
			color: var(--Text-Dark, #052b17);
			font-family: Figtree;
			font-size: 16px;
			font-style: normal;
			font-weight: 500;
			line-height: normal;
		}

		.baratMandiBox {
			// flex-basis: 14%;
			img {
				width: 100%;
				height: 100%;
			}
		}

		.btn {
			// flex-basis: 10%;
			display: inline-flex;
			height: 40px;
			padding: 10px 24px;
			justify-content: center;
			align-items: center;
			gap: 10px;
			flex-shrink: 0;
			border-radius: 4px;
			background: var(--Primary, #009a4a);
			white-space: nowrap;
			border: none;
			outline: none;
			color: #fff;
			font-family: Figtree;
			font-size: 16px;
			font-style: normal;
			font-weight: 500;
			line-height: normal;
		}

		.hamberBox {
			display: flex;
			flex-direction: column;
			justify-content: center;
			gap: 3px;
			display: none;

			div {
				width: 18px;
				height: 3px;
				flex-shrink: 0;
				background-color: #1c1b1f;
			}
		}
	}

	&Navbar {
		// flex-basis: 42%;
		@include d-flex(space-between, center);
		gap: 32px;
		white-space: nowrap;

		a:hover {
			color: #009a4a;
		}
		.responsiveBtn {
			display: none;
		}
	}

	&DropDownBox {
		@include d-flex(none, center);
		gap: 4px;
		position: relative;
		// background-color: #009a4a;

		p {
			color: var(--Text-Dark, #052b17);
			font-family: Figtree;
			font-size: 16px;
			font-style: normal;
			font-weight: 500;
			line-height: normal;
		}

		.arrowImgBox {
			@include d-flex(center, center);
		}

		&:hover p {
			color: #009a4a;
			cursor: pointer;
		}

		.dropDownMenu {
			display: none;
			flex-direction: column;
			padding-top: 24px;
			position: absolute;
			top: 100%;
			left: 0;
			width: 100%;
			border-bottom-left-radius: 16px;
			border-bottom-right-radius: 16px;
			// display: none;

			a {
				color: var(--Text-Light, #5f786b);
				font-family: Figtree;
				font-size: 16px;
				font-style: normal;
				font-weight: 400;
				line-height: 20px;
				padding: 16px 5px;
				text-align: center;
				white-space: nowrap;
				// background-color: gray;
			}

			a:hover {
				background-color: #d8ede2;
			}
		}
	}
}

.carousel {
	background: #f7f7f7;
	&Container {
		padding: 120px 120px 50px 120px;
		// background-color: #009a4a;
		h1 {
			text-align: center;
			font-family: Montserrat;
			font-size: 44px;
			font-style: normal;
			font-weight: 600;
			line-height: 130%;
			margin-bottom: 64px;

			span {
				background: linear-gradient(
					90deg,
					#131d56 43.45%,
					#33145d 54.99%,
					#63166a 65.76%,
					#a4267b 77.45%,
					#db327c 88.22%,
					#eb4b46 100.53%
				);
				background-clip: text;
				-webkit-background-clip: text;
				-webkit-text-fill-color: transparent;
			}
		}

		.scrollbuttonBox {
			@include d-flex(center, none);
			gap: 10px;

			.buttonBox {
				display: flex;
				padding: 8px;
				align-items: flex-start;
				gap: 8px;
				border-radius: 32px;
				border: 1px solid var(--Primary-Primary, #19147b);
			}

			.leftArrow {
				-webkit-touch-callout: none;
				-webkit-user-select: none;
				-moz-user-select: none;
				-ms-user-select: none;
				user-select: none;
			}

			.rightArrow {
				transform: rotate(180deg);
				-webkit-touch-callout: none;
				-webkit-user-select: none;
				-moz-user-select: none;
				-ms-user-select: none;
				user-select: none;
			}
		}
	}

	&ScrollBox {
		overflow-x: hidden;

		.scroll {
			@include d-flex();
			width: 100%;
			gap: 24px;
			transition: all 0.3s linear;
			margin-bottom: 70px;

			.item {
				min-width: 300px;
				h3 {
					margin-bottom: 8px;
				}
				h2 {
					margin-bottom: 8px;
				}

				p {
					margin-bottom: 48px;
				}
			}
		}
	}
}

.accordian {
	&Container {
		padding: 0 120px 50px 120px;
	}
	&Box {
		@include d-flex(end, none);
		flex-direction: column;

		border-top: 1px solid #bcd2c6;
		border-bottom: 1px solid #bcd2c6;
		padding: 32px 0;
		.contentBox {
			@include d-flex(space-between, center);
			margin-bottom: 24px;

			.headingBox {
				@include d-flex(space-between, center);
				width: 83%;

				.imgDiv {
					@include d-flex(space-between, center);
					gap: 40px;
				}
			}
		}

		.matterBox {
			display: none;
			transition: all 0.5s ease-in 0s;

			h3 {
				color: var(--Text-Medium, #254e39);
				font-family: Figtree;
				font-size: 18px;
				font-style: normal;
				font-weight: 500;
				line-height: 26px;
			}
			p {
				color: var(--Text-Light, #5f786b);
				font-family: Figtree;
				font-size: 16px;
				font-style: normal;
				font-weight: 400;
				line-height: 26px;
			}
		}
	}
}

.gif {
	background: linear-gradient(
		90deg,
		rgba(22, 39, 112, 0.08) -3.98%,
		rgba(56, 35, 97, 0.08) 19.05%,
		rgba(138, 53, 125, 0.08) 40.57%,
		rgba(230, 73, 150, 0.08) 63.91%,
		rgba(235, 70, 61, 0.08) 85.43%,
		rgba(237, 101, 80, 0.08) 110%
	);
	&Container {
		padding: 80px 120px;
		@include d-flex(space-between, none);

		.gifFastTrack {
			flex-basis: 33%;

			h1 {
				color: var(--Primary-Text, #222529);
				font-family: Montserrat;
				font-size: 44px;
				font-style: normal;
				font-weight: 600;
				line-height: 130%;
				text-transform: capitalize;
				margin-bottom: 16px;

				span {
					background: linear-gradient(
						89deg,
						#162770 0.53%,
						#382361 18.39%,
						#8a357d 35.08%,
						#e64996 53.18%,
						#eb463d 69.86%,
						#ed6550 88.92%
					);
					background-clip: text;
					-webkit-background-clip: text;
					-webkit-text-fill-color: transparent;
					font-family: Montserrat;
					font-size: 44px;
					font-style: normal;
					font-weight: 600;
					line-height: 130%;
					text-transform: capitalize;
				}
			}

			p {
				color: var(--Gray-Shade-1, #4e4e4e);
				font-family: Montserrat;
				font-size: 16px;
				font-style: normal;
				font-weight: 400;
				line-height: 160%;
				text-transform: capitalize;
			}
			button {
				@include d-flex();
				padding: 16px 32px;
				gap: 10px;
				border-radius: 4px;
				color: var(--Primary-White, var(--Color, #fff));
				font-family: Montserrat;
				font-size: 16px;
				font-style: normal;
				font-weight: 500;
				line-height: normal;
				border: none;
				outline: none;
				margin-top: 40px;
				background: var(
					--Primary-Brand-Gradient,
					linear-gradient(
						90deg,
						#131d56 -1.66%,
						#33145d 26.58%,
						#63166a 53.17%,
						#a4267b 72.03%,
						#db327c 87.36%,
						#eb4b46 103.24%
					)
				);
			}
		}

		.gifMainBox {
			flex-basis: 65%;
			@include d-flex(space-between, none);

			.giftItem {
				border-radius: 8px;
			}

			.gradientBox {
				border-radius: 8px;
				background: linear-gradient(
					89deg,
					#162770 0.53%,
					#382361 18.39%,
					#8a357d 35.08%,
					#e64996 53.18%,
					#eb463d 69.86%,
					#ed6550 88.92%
				);
				.gifBox {
					height: 60px;
					width: 60px;

					.gifImage {
						width: 100%;
						height: 100%;
						display: none;
					}

					.Image {
						width: 100%;
						height: 100%;
					}
				}

				&:hover {
					padding: 2px;

					.gradientBox {
						padding: 2px;
					}

					.gifBox {
						.gifImage {
							display: block;
						}

						.Image {
							display: none;
						}
					}
				}
			}

			.leftBox {
				flex-basis: 48%;
				@include d-flex();
				flex-direction: column;
				gap: 40px;

				.gifItem {
					border-radius: 8px;
					background: #fff;
					padding: 32px;
					.gifHead {
						@include d-flex(space-between, none);
						margin-bottom: 38px;
						h1 {
							flex-basis: 70%;
						}
					}
				}

				#firstItem {
					margin-top: 44px;
				}
			}
			.rightBox {
				flex-basis: 48%;
				@include d-flex();
				flex-direction: column;
				gap: 40px;

				.gifItem {
					border-radius: 8px;
					background: #fff;
					padding: 32px;
					.gifHead {
						@include d-flex(space-between, none);
						margin-bottom: 38px;
						h1 {
							flex-basis: 70%;
						}
					}
				}
			}
		}
	}
}

.tabs {
	&Container {
		padding: 40px 120px;
		@include d-flex(space-between, none);

		.buttonsBox {
			flex-basis: 25%;
			@include d-flex();
			flex-direction: column;
			gap: 60px;

			button {
				border-radius: 4px;
				background: var(--Unsorted-Surface-light, #f2edea);
				padding: 8px 12px;
				border: none;
				outline: none;
				color: var(--Brand-colors-Mahagony, #502720);
				font-family: 'Red Hat Display Variable';
				font-size: 16px;
				font-style: normal;
				font-weight: 645;
				line-height: 150%;
			}
		}

		.contentDisplayBox {
			flex-basis: 70%;

			.tabcontent {
				// display: none;
				h1 {
					background-color: #f9f7f6;
					padding: 16px;
					color: var(--Gray-800, #292929);
					font-family: 'Red Hat Display Variable';
					font-size: 16px;
					font-style: normal;
					font-weight: 550;
					line-height: 140%;
				}
				p {
					padding: 16px;
				}
			}
		}
	}
}

.form {
	background: linear-gradient(
		90deg,
		rgba(22, 39, 112, 0.06) -3.98%,
		rgba(56, 35, 97, 0.06) 19.05%,
		rgba(138, 53, 125, 0.06) 40.57%,
		rgba(230, 73, 150, 0.06) 63.91%,
		rgba(235, 70, 61, 0.06) 85.43%,
		rgba(237, 101, 80, 0.06) 110%
	);
	&Container {
		padding: 70px 120px;
		border-radius: 8px;
		background: var(--Color, #fff);
		box-shadow: 4px 8px 50px 0px rgba(0, 0, 0, 0.03);

		.formHeading {
			margin-bottom: 40px;
			h1 {
				text-align: center;
				color: var(--Primary-Text, #222529);
				text-align: center;
				font-family: Montserrat;
				font-size: 44px;
				font-style: normal;
				font-weight: 600;
				line-height: 130%;
				text-transform: capitalize;
			}
			p {
				text-align: center;
				color: var(--Gray-Shade-1, #4e4e4e);
				font-family: Montserrat;
				font-size: 16px;
				font-style: normal;
				font-weight: 400;
				line-height: 160%;
			}
		}

		form {
			.inputBox {
				@include d-flex(space-between, none);
				margin-bottom: 24px;

				label {
					margin-bottom: 8px;
				}
				input {
					padding: 10px 14px;
				}
				select {
					padding: 10px 14px;
				}
				#textarea {
					width: 100%;
					@include d-flex(space-between, none);
					flex-direction: column;

					textarea {
						padding: 10px 14px;
					}
				}
				#emailError {
					display: none;
					margin-top: 7px;
					color: red;
					font-size: 10px;
				}
				#nameError {
					display: none;
					margin-top: 7px;
					color: red;
					font-size: 10px;
				}
				#companyError {
					display: none;
					margin-top: 7px;
					color: red;
					font-size: 10px;
				}
				#countryError {
					display: none;
					margin-top: 7px;
					color: red;
					font-size: 10px;
				}

				.left {
					@include d-flex(space-between, none);
					flex-direction: column;
					flex-basis: 48%;
				}

				.right {
					@include d-flex(space-between, none);
					flex-direction: column;
					flex-basis: 48%;
				}
			}
			.btnDiv {
				margin: 26px 0 40px 0;

				button {
					display: flex;
					padding: 16px 32px;
					justify-content: center;
					align-items: center;
					border-radius: 4px;
					border: none;
					outline: none;
					background: var(
						--Primary-Brand-Gradient,
						linear-gradient(
							90deg,
							#131d56 -1.66%,
							#33145d 26.58%,
							#63166a 53.17%,
							#a4267b 72.03%,
							#db327c 87.36%,
							#eb4b46 103.24%
						)
					);
					margin: 0 auto;
				}
			}
		}
	}
}

@media screen and (max-width: 1120px) {
	.accordian {
		&Box {
			.contentBox {
				.headingBox {
					flex-direction: column;
					align-items: start;

					h1 {
						margin-bottom: 14px;
					}
				}
			}
		}
	}
}

@media screen and (max-width: 1001px) {
	.header {
		&Container {
			padding: 26px 80px;

			.btn {
				display: none;
			}

			.hamberBox {
				display: flex;
			}
		}

		&Navbar {
			position: absolute;
			@include d-flex(start, start);
			flex-direction: column;
			background-color: #fff;
			width: 100%;
			left: 0;
			top: -100vh;
			height: calc(100vh - 80px);
			transition: all 0.8s;

			a {
				padding: 16px 24px;
				border-bottom: 0.5px solid var(--Stroke, #d8ede2);
				width: 100%;
			}

			.headerDropDownBox {
				border-bottom: 0.5px solid var(--Stroke, #d8ede2);
				width: 100%;
				p {
					padding: 16px 24px;
				}

				.dropDownMenu {
					border-bottom: none;

					align-self: flex-start;
					:first-child {
						padding-bottom: 16px;
						border-bottom: none;
					}
					:last-child {
						padding-bottom: 0;
						border-bottom: none;
					}
				}
			}

			.btnBox {
				width: 100%;
				padding: 16px 24px;
				.responsiveBtn {
					display: inline-flex;
					height: 40px;
					width: 100%;
					padding: 10px 24px;
					justify-content: center;
					align-items: center;
					gap: 10px;
					flex-shrink: 0;
					border-radius: 4px;
					background: var(--Primary, #009a4a);
					white-space: nowrap;
					border: none;
					outline: none;
					color: #fff;
					font-family: Figtree;
					font-size: 16px;
					font-style: normal;
					font-weight: 500;
					line-height: normal;
				}
			}
		}
	}

	.carousel {
		&Container {
			padding: 110px 80px;
		}
	}

	.accordian {
		&Container {
			padding: 80px 80px;
		}
	}

	.gif {
		&Container {
			padding: 80px 80px;
			flex-direction: column;
			.gifMainBox {
				flex-direction: column;
				gap: 40px;
			}
		}
	}

	.tabs {
		&Container {
			padding: 80px 80px;
		}
	}

	.form {
		&Container {
			padding: 80px 80px;
		}
	}
}

@media screen and (max-width: 769px) {
	.header {
		&Container {
			padding: 26px 40px;
		}
	}

	.carousel {
		&Container {
			padding: 100px 40px;
		}
	}

	.accordian {
		&Container {
			padding: 50px 40px;
		}
	}

	.gif {
		&Container {
			padding: 50px 40px;
		}
	}

	.tabs {
		&Container {
			padding: 50px 40px;
		}
	}

	.form {
		&Container {
			padding: 50px 40px;

			form {
				.inputBox {
					flex-direction: column;
					margin: 24px 0;
					gap: 24px;

					#emailError {
						font-size: 14px;
					}
					#nameError {
						font-size: 14px;
					}
					#companyError {
						font-size: 14px;
					}
					#countryError {
						font-size: 14px;
					}
				}

				.btnDiv {
					button {
						width: 100%;
					}
				}
			}
		}
	}
}
